Package org.springframework.security.web.access.expression

# Class WebExpressionVoter

java.lang.Object
org.springframework.security.web.access.expression.WebExpressionVoter

All Implemented Interfaces:
  `org.springframework.security.access.AccessDecisionVoter<FilterInvocation>`

@Deprecated public class WebExpressionVoter extends Object implements org.springframework.security.access.AccessDecisionVoter<FilterInvocation>
Deprecated.
Use `WebExpressionAuthorizationManager` instead
Voter which handles web authorisation decisions.

Since:
  3.0

## Field Summary

### Fields inherited from interface org.springframework.security.access.AccessDecisionVoter

`ACCESS_ABSTAIN, ACCESS_DENIED, ACCESS_GRANTED`

## Constructor Summary

Constructors
Constructor
Description
`WebExpressionVoter()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`setExpressionHandler(org.springframework.security.access.expression.SecurityExpressionHandler<FilterInvocation> expressionHandler)`
Deprecated.
`boolean`
`supports(Class<?> clazz)`
Deprecated.
`boolean`
`supports(org.springframework.security.access.ConfigAttribute attribute)`
Deprecated.
`int`
`vote(org.springframework.security.core.Authentication authentication, FilterInvocation filterInvocation, Collection<org.springframework.security.access.ConfigAttribute> attributes)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebExpressionVoter

public WebExpressionVoter()
Deprecated.

## Method Details

### vote

public int vote(org.springframework.security.core.Authentication authentication, FilterInvocation filterInvocation, Collection<org.springframework.security.access.ConfigAttribute> attributes)
Deprecated.

Specified by:
  `vote` in interface `org.springframework.security.access.AccessDecisionVoter<FilterInvocation>`

### supports

public boolean supports(org.springframework.security.access.ConfigAttribute attribute)
Deprecated.

Specified by:
  `supports` in interface `org.springframework.security.access.AccessDecisionVoter<FilterInvocation>`

### supports

public boolean supports(Class<?> clazz)
Deprecated.

Specified by:
  `supports` in interface `org.springframework.security.access.AccessDecisionVoter<FilterInvocation>`

### setExpressionHandler

public void setExpressionHandler(org.springframework.security.access.expression.SecurityExpressionHandler<FilterInvocation> expressionHandler)
Deprecated.